<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>fjhx-cloud</artifactId>
        <groupId>com.fjhx</groupId>
        <version>3.2.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>hx-service-api</artifactId>

    <packaging>pom</packaging>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>

        <hx.version>3.2.0</hx.version>
        <bladex.version>3.0.1.RELEASE</bladex.version>
    </properties>

    <modules>
        <module>service-file-api</module>
        <module>service-video-api</module>
        <module>syringe-management-api</module>
        <module>syringe-production-api</module>
        <module>storage-api</module>
        <module>storage-restructure-api</module>
        <module>service-flow-api</module>
        <module>basics-api</module>
        <module>foreign-trade-superman-api</module>
        <module>crm-api</module>
        <module>blade-ex-api</module>
        <module>dev-ops-api</module>
        <module>victoriatourist-api</module>
    </modules>

    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>org.springblade.platform</groupId>
                <artifactId>blade-bom</artifactId>
                <version>${bladex.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springblade</groupId>
                <artifactId>blade-starter-mybatis</artifactId>
                <version>${bladex.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>common-tool</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>service-file-api</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springblade</groupId>
                <artifactId>blade-user-api</artifactId>
                <version>${bladex.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>common-client-util</artifactId>
                <version>${hx.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-starter-mybatis</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.fjhx</groupId>
            <artifactId>common-tool</artifactId>
        </dependency>
    </dependencies>

</project>